import crafttweaker.api.tag.MCTag;
import mods.create.MixingManager;
import mods.create.CuttingManager;

//Author: Blizzor
//Made for CreateLive 3

craftingTable.remove(<item:createlive3addon:golden_cogwheel>);
craftingTable.remove(<item:createlive3addon:golden_large_cogwheel>);
craftingTable.remove(<item:sophisticatedbackpacks:battery_upgrade>);
craftingTable.remove(<item:createchunkloading:chunk_loader>);
craftingTable.remove(<item:itemfilters:always_true>);
craftingTable.remove(<item:buildinggadgets:gadget_copy_paste>);
craftingTable.remove(<item:buildinggadgets:gadget_destruction>);

//Tags
<tag:items:createlive:dumplings>.add(<item:minecraft:chicken>, <item:farmersdelight:chicken_cuts>, <item:minecraft:porkchop>, <item:farmersdelight:bacon>, <item:minecraft:beef>, <item:farmersdelight:minced_beef>, <item:minecraft:brown_mushroom>);
//Farmer's Delight
//cooking
<recipetype:create:mixing>.addRecipe("mix_hot_cocoa", <constant:create:heat_condition:heated>, [<item:farmersdelight:hot_cocoa>], [<item:minecraft:glass_bottle>, <item:minecraft:sugar>, <item:minecraft:cocoa_beans> * 2], [<fluid:minecraft:milk> * 1000], 200);
<recipetype:create:mixing>.addRecipe("mix_apple_cider", <constant:create:heat_condition:heated>, [<item:farmersdelight:apple_cider>], [<item:minecraft:glass_bottle>, <item:minecraft:sugar>, <item:minecraft:apple> * 2], [], 200);
<recipetype:create:mixing>.addRecipe("mix_dumplings", <constant:create:heat_condition:heated>, [<item:farmersdelight:dumplings> * 2], [<item:farmersdelight:raw_pasta>, <tag:items:forge:salad_ingredients>, <item:farmersdelight:onion>, <tag:items:createlive:dumplings>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_cabbage_rolls", <constant:create:heat_condition:heated>, [<item:farmersdelight:cabbage_rolls>], [<tag:items:forge:salad_ingredients>, <tag:items:farmersdelight:cabbage_roll_ingredients>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_cooked_rice", <constant:create:heat_condition:heated>, [<item:farmersdelight:cooked_rice>], [<item:minecraft:bowl>, <item:farmersdelight:rice>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_beef_stew", <constant:create:heat_condition:heated>, [<item:farmersdelight:beef_stew>], [<item:minecraft:bowl>, <tag:items:forge:raw_beef>, <item:minecraft:carrot>, <item:minecraft:potato>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_chicken_soup", <constant:create:heat_condition:heated>, [<item:farmersdelight:chicken_soup>], [<item:minecraft:bowl>, <tag:items:forge:raw_chicken>, <item:minecraft:carrot>, <tag:items:forge:salad_ingredients>, <tag:items:forge:vegetables>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_vegetable_soup", <constant:create:heat_condition:heated>, [<item:farmersdelight:vegetable_soup>], [<item:minecraft:bowl>, <item:minecraft:carrot>, <item:minecraft:potato>, <item:minecraft:beetroot>, <tag:items:forge:salad_ingredients>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_fish_stew", <constant:create:heat_condition:heated>, [<item:farmersdelight:fish_stew>], [<item:minecraft:bowl>, <tag:items:forge:raw_fishes>, <item:farmersdelight:tomato_sauce>, <item:farmersdelight:onion>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_fried_rice", <constant:create:heat_condition:heated>, [<item:farmersdelight:fried_rice>], [<item:minecraft:bowl>, <item:farmersdelight:rice>, <tag:items:forge:eggs>, <item:minecraft:carrot>, <item:farmersdelight:onion>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_pumpkin_soup", <constant:create:heat_condition:heated>, [<item:farmersdelight:pumpkin_soup>], [<item:minecraft:bowl>, <item:farmersdelight:pumpkin_slice>, <tag:items:forge:salad_ingredients>, <tag:items:forge:raw_pork>], [<fluid:minecraft:milk> * 1000], 200);
<recipetype:create:mixing>.addRecipe("mix_baked_cod_stew", <constant:create:heat_condition:heated>, [<item:farmersdelight:baked_cod_stew>], [<item:minecraft:bowl>, <tag:items:forge:raw_fishes/cod>, <item:minecraft:potato>, <tag:items:forge:eggs>, <item:farmersdelight:tomato>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_noodle_soup", <constant:create:heat_condition:heated>, [<item:farmersdelight:noodle_soup>], [<item:minecraft:bowl>, <item:farmersdelight:raw_pasta>, <item:farmersdelight:fried_egg>, <item:minecraft:dried_kelp>, <tag:items:forge:raw_pork>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_pasta_with_meatballs", <constant:create:heat_condition:heated>, [<item:farmersdelight:pasta_with_meatballs>], [<item:minecraft:bowl>, <item:farmersdelight:minced_beef>, <item:farmersdelight:raw_pasta>, <item:farmersdelight:tomato_sauce>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_pasta_with_mutton_chop", <constant:create:heat_condition:heated>, [<item:farmersdelight:pasta_with_mutton_chop>], [<item:minecraft:bowl>, <tag:items:forge:raw_mutton>, <item:farmersdelight:raw_pasta>, <item:farmersdelight:tomato_sauce>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_vegetable_noodles", <constant:create:heat_condition:heated>, [<item:farmersdelight:vegetable_noodles>], [<item:minecraft:bowl>, <item:minecraft:carrot>, <item:minecraft:brown_mushroom>, <item:farmersdelight:raw_pasta>, <tag:items:forge:salad_ingredients>, <tag:items:forge:vegetables>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_ratatouille", <constant:create:heat_condition:heated>, [<item:farmersdelight:ratatouille>], [<item:minecraft:bowl>, <item:farmersdelight:tomato>, <item:farmersdelight:onion>, <item:minecraft:beetroot>, <tag:items:forge:vegetables>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_squid_ink_pasta", <constant:create:heat_condition:heated>, [<item:farmersdelight:squid_ink_pasta>], [<item:minecraft:bowl>, <tag:items:forge:raw_fishes>, <item:farmersdelight:raw_pasta>, <item:farmersdelight:tomato>, <item:minecraft:ink_sac>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_stuffed_pumpkin_block", <constant:create:heat_condition:heated>, [<item:farmersdelight:stuffed_pumpkin_block>], [<item:minecraft:pumpkin>, <item:farmersdelight:rice>, <tag:items:forge:vegetables>, <item:farmersdelight:tomato>, <item:minecraft:baked_potato>, <item:farmersdelight:brown_mushroom_colony>, <item:minecraft:sweet_berries>], [], 200);
<recipetype:create:mixing>.addRecipe("mix_dog_food", <constant:create:heat_condition:heated>, [<item:farmersdelight:dog_food>], [<item:minecraft:bowl>, <item:minecraft:rotten_flesh>, <item:minecraft:bone_meal>, <tag:items:farmersdelight:wolf_prey>, <item:farmersdelight:rice>], [], 200);

//cutting
<recipetype:create:cutting>.addRecipe("cut_pumpkin_slice", <item:farmersdelight:pumpkin_slice> * 4, <item:minecraft:pumpkin>, 50);
<recipetype:create:cutting>.addRecipe("cut_minced_beef", <item:farmersdelight:minced_beef> * 2, <item:minecraft:beef>, 50);
<recipetype:create:cutting>.addRecipe("cut_chicken_cuts", [<item:farmersdelight:chicken_cuts> * 2,<item:minecraft:bone_meal>], <item:minecraft:chicken>, 50);
<recipetype:create:cutting>.addRecipe("cut_bacon", <item:farmersdelight:bacon> * 2, <item:minecraft:porkchop>, 50);
<recipetype:create:cutting>.addRecipe("cut_cod_slice", [<item:farmersdelight:cod_slice> * 2,<item:minecraft:bone_meal>], <item:minecraft:cod>, 50);
<recipetype:create:cutting>.addRecipe("cut_salmon_slice", [<item:farmersdelight:salmon_slice> * 2,<item:minecraft:bone_meal>], <item:minecraft:salmon>, 50);
<recipetype:create:cutting>.addRecipe("cut_mutton_chops", <item:farmersdelight:mutton_chops> * 2, <item:minecraft:mutton>, 50);
<recipetype:create:cutting>.addRecipe("cut_cake_slice", <item:farmersdelight:cake_slice> * 7, <item:minecraft:cake>, 50);
<recipetype:create:cutting>.addRecipe("cut_apple_pie_slice", <item:farmersdelight:apple_pie_slice> * 4, <item:farmersdelight:apple_pie>, 50);
<recipetype:create:cutting>.addRecipe("cut_apple_sweet_berry_cheesecake_slice", <item:farmersdelight:sweet_berry_cheesecake_slice> * 4, <item:farmersdelight:sweet_berry_cheesecake>, 50);
<recipetype:create:cutting>.addRecipe("cut_chocolate_pie_slice", <item:farmersdelight:chocolate_pie_slice> * 4, <item:farmersdelight:chocolate_pie>, 50);
